Linux Debian 6 Squeeze devient Squeeze LTS: pas sans mal d’ailleurs…

Au détour de mes pérégrinations sur le Net, un jour je tombe sur cet article.

Je me dis alors, autant utiliser une version Long Term Support (LTS) pour une de mes machines virtuelles.

Je lis donc (plusieurs fois) l’article en question et je me lance, en apparence c’est simple comme bonjour. Mais voilà, à la lecture tout va bien, la mise en application c’est carrément autre chose.

Je ne cherche pas de responsables ici, de causes (je ne les connais absolument pas en fait) mais je vais juste vous livrer mon expérience sur le sujet, y ayant passé un certain temps et un temps certain.

J’ai été obligé de passer par plusieurs étapes, que j’ai pu « sauvegarder » grâce à la prise d’instantané de ma machine virtuelle. À chaque étape, j’ai pris une « photo » de l’état stable de ma machine, me permettant maintenant d’écrire cet article (perfectible sans aucun doute).

Voici donc mon expérience du passage de Debian 6 Squeeze à Debian 6 Squeeze LTS.

En partant d’un Debian 6.0.8 à jour, j’ai donc effectuer le passage vers la version LTS:

VirtualBox - Debian 6

et les passages d’étapes à travers les instantanés:

VirtualBox - Debian 6 LTS

Il a donc fallu pas moins de 4 étapes, avec arrêt de la machine, prise d’instantané, avant d’avoir une machine en LTS.

En premier lieu, VirtualBox a changé de version, ce qui implique qu’il faut remettre à jour les composants invités dans la machine virtuelle. Ceci a constitué la première étape, histoire de ne pas avoir de problème en plus.

VirtualBox - Debian 6 - VBoxAdd

Ensuite, j’ai arrêté la machine virtuelle et pris mon instantané que vous voyez ci-dessus.

Je relance ma machine virtuelle afin d’effectuer la mise à jour des sources de logiciels pour ajouter les dépôts Squeeze LTS. Comme indiqué dans l’article de Debian, il suffit d’ajouter les sources dans Sources de mise à jour par exemple:

deb http://http.debian.net/debian/ squeeze-lts main contrib non-free

et pour les sources

deb-src http://http.debian.net/debian/ squeeze-lts main contrib non-free

Voici ce que ça donne:

VirtualBox - Debian 6 - Sources dépôts

puis

VirtualBox - Debian 6 - Sources dépôts - Ajout LTS

Sélection de l’onglet « Third-Party Software« , puis dans l’ordre un clic sur « +Add« , puis un copier coller de la ligne et enfin « +Ajouter une source de mise à jour« .

Vous répétez pour la ligne des codes sources et vous obtenez au final ceci:

VirtualBox - Debian 6 - Sources dépôts LTS

Les dépôts sont inscrit, en cliquant sur « Fermer« , les paquets seront rechargés afin de correspondre au nouveau paramétrage.

J’ai ensuite éteint ma machine virtuelle, et fait un nouvel instantané de la machine, SANS EFFECTUER LA MISE À JOUR.

J’avais essayé un certain nombre de fois de faire la mise à jour juste après, avec systématiquement un problème de LOCK que je ne suis pas arrivé à résoudre, le ou les fichiers n’étant pas effaçables. Je restais donc bloqué.

Vous avez votre nouvel instantané, nous pouvons redémarrer la machine virtuelle. Nous allons démarrer « Synaptic », le gestionnaire de paquets de Debian et nous allons juste changer un paramètre:

VirtualBox - Debian 6 - Sources dépôts - Synaptic

Dans Synaptic, menu Configuration, puis Préférences:

VirtualBox - Debian 6 - Sources dépôts - Synaptic - Préférences

Allons dans l’onglet « Distribution« , puis choisissons « Préférer les versions de: squeeze-lts » et ensuite validons:

VirtualBox - Debian 6 - Sources dépôts - Synaptic - Préférences LTS

Et là, vous vous dites, ça y est on fait la mise à jour ! Et bien,….. NON.

Installons d’abord un petit paquet qui finalement semble avoir une utilité bien plus importante qu’il n’y paraît, il s’agit du paquet debian-security-support.

Dans Synaptic, faites une recherche de « debian-security-support« , puis sélectionnez-le pour installation et ensuite cliquez sur « Appliquer« :

VirtualBox - Debian 6 - Sources dépôts - Synaptic - security-support

L’installation s’effectue, avec divers messages, appuyez sur la touche Entrée de votre clavier pour continuer.

Voilà, voilà, et maintenant on installe Squeeze LTS ? Et bien, toujours NON. Avec tous les problèmes que j’ai pu rencontrer et les situations de blocage successives, mieux veut être prudent.

J’éteins de nouveau ma machine virtuelle et je prends un nouvel instantané:

VirtualBox - Debian 6 - debian-security-support

Vous avez été très patient, la récompense arrive maintenant, nous redémarrons la machine virtuelle afin de faire, enfin, la mise à jour qui vous fera passer (et moi aussi) sur Squeeze LTS.

La suite est simple comme bonjour (normalement), une fois connecté, vous n’avez qu’à démarrer un terminal de commande et taper ce qui suit:

sudo apt-get update

sudo apt-get upgrade

Vous confirmez l’installation des nouveaux paquets (leur mise à jour pour être plus exact) et en avant, plus de blocage (pour moi en tout cas).

La mise à jour s’effectue, et à la fin vous avec une version Debian Squeeze LTS.

 

Si comme moi, vous avez une machine virtuelle, alors vous allez peut-être prendre un instantané supplémentaire, sur la version LTS installée, juste au cas où…

VirtualBox - Debian 6 LTS - installée

 

Je partage ceci, car comme je l’ai dit, cette mise à jour m’a posé d’énormes problèmes, surtout des blocages pendant la mise à jour, et ensuite je n’ai pas pu continuer et/ou débloquer la situation. J’espère que ça permettra à ceux qui sont novices ou pas encore suffisamment expert sur Linux de continuer à travailler avec un support sécurisé sur le long terme.

 

Si vous avez des remarques à faire, d’autres situations de blocage à exposer, d’autres expériences à partager concernant ce sujet, n’hésitez surtout pas à l’écrire dans la zone des commentaires. Si je peux aider je le ferais, sinon j’essaierais de trouver quelqu’un qui le pourra. Et si je peux apprendre moi-même, ce sera le plus de plus de l’article.

 

Bon voyage vers Squeeze LTS….

Publicités

2 réflexions sur “Linux Debian 6 Squeeze devient Squeeze LTS: pas sans mal d’ailleurs…

  1. La page du wiki officiel de Debian à propos de lts, précise comme information importante de changer le pinning dans le fichier apt.conf. Ce qui est fait dans cet article via synaptic, mais un peu tard, avec un refus logique de mise à jour vers lts avant cette manipulation.
    Par contre il ne parle pas d’une obligation d’installer: debian-security-support ? Il évoque son installation seulement pour connaître les paquets qui ne sont plus supportés.
    Je vais bientôt réaliser le passage vers lts sur une machine en production, je compléterais si j’ai des surprises, notamment du coté de deb-multimedia.org….

    L’article de référence: https://wiki.debian.org/fr/LTS/Using

    Aimé par 1 personne

    • Je vous en prie, plus il y aura de partage d’informations, mieux ce sera.
      Je ne suis pas un spécialiste de Linux (encore moins de Debian), j’utilise et j’essaie de faire fonctionner en accumulant les connaissances grâce aux partages venant d’autres sources.
      Pour ma part, j’ai fait sur une machine virtuelle, pas de production.
      Merci de contribuer et de partager votre future expérience….

      J'aime

Laisser un commentaire

Entrez vos coordonnées ci-dessous ou cliquez sur une icône pour vous connecter:

Logo WordPress.com

Vous commentez à l'aide de votre compte WordPress.com. Déconnexion / Changer )

Image Twitter

Vous commentez à l'aide de votre compte Twitter. Déconnexion / Changer )

Photo Facebook

Vous commentez à l'aide de votre compte Facebook. Déconnexion / Changer )

Photo Google+

Vous commentez à l'aide de votre compte Google+. Déconnexion / Changer )

Connexion à %s